[SA22607] Hosting Controller Multiple Vulnerabilities

2006-11-02T00:00:00
ID SECURITYVULNS:DOC:14906
Type securityvulns
Reporter Securityvulns
Modified 2006-11-02T00:00:00

Description

TITLE: Hosting Controller Multiple Vulnerabilities

SECUNIA ADVISORY ID: SA22607

VERIFY ADVISORY: http://secunia.com/advisories/22607/

CRITICAL: Moderately critical

IMPACT: Security Bypass, Manipulation of data

WHERE: >From remote

SOFTWARE: Hosting Controller 6.x http://secunia.com/product/4754/

DESCRIPTION: Soroush Dalili has reported some vulnerabilities in Hosting Controller, which can be exploited by malicious to bypass certain security restrictions and to conduct SQL injection attacks.

1) An error exists in the verification of user permissions when accessing certain scripts. This can be exploited to create or delete every sites' virtual directories via DisableForum.asp and EnableForum.asp.

2) Input passed to the "ForumID" parameter in DisableForum.asp and EnableForum.asp is not properly sanitised before being used in SQL queries. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The vulnerabilities are reported in version 6.1 with Hotfix 3.2. Other versions may also be affected.

SOLUTION: Install Hotfix 3.3. http://hostingcontroller.com/english/downloads/HotFixV61_3_3.exe

PROVIDED AND/OR DISCOVERED BY: Soroush Dalili

ORIGINAL ADVISORY: http://www.kapda.ir/advisory-442.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.